Bug 199544 - Go To Test action should also work for integration test (IT) classes
Go To Test action should also work for integration test (IT) classes
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: JUnit
7.0
All All
: P3 with 1 vote (vote)
: 7.4
Assigned To: Theofanis Oikonomou
junit-issues@java
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-20 11:59 UTC by Petr Jiricka
Modified: 2013-02-17 01:50 UTC (History)
1 user (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Jiricka 2011-06-20 11:59:24 UTC
Currently, the Go To Test action (bound to Cmd+Shift+T on Mac) allows you to quickly navigate between a class and a test for this class. The IDE recognizes the test based on a naming convention, i.e. a test ends with "Test". It would be useful if this also worked for integration test classes, i.e. classed ending with "IT". 
Filing on behalf of Adam Bien, here is his message:

"Another nice feature would be to be able to switch with cmd+shift+t between a production class and integration test class with the ending "IT". Now it only works with the ending "Test".

Integration test classes are executed by the failsafe maven plugin,

IntelliJ does that :-)"
Comment 1 Jesse Glick 2011-06-24 17:59:39 UTC
FYI - impl is in junit.DefaultPlugin.getTestResName.
Comment 2 Theofanis Oikonomou 2013-02-15 14:39:21 UTC
Changeset: 2ddcbab3e379
Author:    Theofanis Oikonomou <theofanis@netbeans.org>
Date:      2013-02-15 14:20
Message:   
Issue #199544 - Go To Test action should also work for integration test (IT) classes
Comment 3 Quality Engineering 2013-02-17 01:50:03 UTC
Integrated into 'main-golden', will be available in build *201302162300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/2ddcbab3e379
User: Theofanis Oikonomou <theofanis@netbeans.org>
Log: Issue #199544 - Go To Test action should also work for integration test (IT) classes


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo